> ## Documentation Index
> Fetch the complete documentation index at: https://plotweaver.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Subtitle Video File

> **Generate and Overlay Subtitles onto a Video**

Processes an input video to extract audio, generate transcriptions,
and burn-in or side-load subtitles based on the provided configuration.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/videos/subtitle
openapi: 3.1.0
info:
  title: Plotweaver AI Voice API
  version: 0.1.0
servers:
  - url: https://voice.plotweaver.app
    description: Staging Server
security: []
paths:
  /v1/videos/subtitle:
    post:
      tags:
        - Video
      summary: Subtitle Video File
      description: |-
        **Generate and Overlay Subtitles onto a Video**

        Processes an input video to extract audio, generate transcriptions,
        and burn-in or side-load subtitles based on the provided configuration.
      operationId: subtitle_video_file_v1_videos_subtitle_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubtitleVideoModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SubtitleVideoModel:
      properties:
        file:
          type: string
          title: File
          description: A Public accessible URI or path string pointing to the video file.
          examples:
            - s3://bucket/audio/lesson_1.mp4
        source_language:
          $ref: '#/components/schemas/Language'
          description: The starting language (case-sensitive to your Enum)
          examples:
            - English
        target_language:
          $ref: '#/components/schemas/Language'
          description: A String of valid Language enum values
          examples:
            - English
            - Hindu
            - Chinese
      type: object
      required:
        - file
        - source_language
        - target_language
      title: SubtitleVideoModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Language:
      type: string
      enum:
        - French
        - English
        - Amharic
        - Swahili
        - Chinese
        - Japanese
        - Korean
        - German
        - Russian
        - Portuguese
        - Spanish
        - Italian
        - Arabic
        - Dutch
        - Hindi
        - Urdu
      title: Language
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````